#!/bin/sh
source /OSM/script/os_load_base.sh
PATCH_START()
{
#进入补丁流程，可以删除导入的补丁包
    if [ -f /OSM/update/hotpatch.tgz ];then
        OS_echo "hotpatch package exist, remove it."
        rm -rf /OSM/update/hotpatch.tgz
    fi
    return
}

PATCH_END()
{
#add your code here
return
}

PATCH_ROLLBACK()
{
#add your code here
return
}

PATCH_ROLLEND()
{
#add your code here
return
}

L_CMD=$1
case $L_CMD in
    "start") PATCH_START
               ;;
    "end") PATCH_END
               ;;
    "rollstart") PATCH_ROLLBACK
               ;;
    "rollend") PATCH_ROLLEND
               ;;
    *)
        OS_echo "unsupported option."
esac
exit 0